/**
 * test/demos/crypt.c
 * Copyright (C) 2008 Markus Broeker
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main (int argc, char **argv)
{
    char *data;
    int i;

    if (argc != 2) {
        printf ("Usage: %s <str>\n", argv[0]);
        return EXIT_SUCCESS;
    }

    /*
     * Its already allocated
     */
    data = argv[1];

    for (i = 0; data[i]; i++)
        data[i] = data[i] + 1;

    printf ("EnCrypted Data: %s\n", data);

    for (i = 0; data[i]; i++)
        data[i] = data[i] - 1;

    printf ("DeCrypted Data: %s\n", data);

    return EXIT_SUCCESS;
}
